#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	RsyncP
Summary:	File::RsyncP - Perl implementation of an rsync client
Summary(pl.UTF-8):	File::RsyncP - implementacja klienta rsync w Perlu
Name:		perl-File-RsyncP
Version:	0.70
Release:	2
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/C/CB/CBARRATT/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f244372d15a2991b8700f62e73ac51e4
URL:		http://search.cpan.org/dist/File-RsyncP/
BuildRequires:	perl-Encode
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::RsyncP is a Perl implementation of an rsync client. It can send
or receive files, either by running rsync on the remote machine, or
connecting to an rsyncd daemon on the remote machine.

File::RsyncP seperates all file system I/O into a seperate module
(File::RsyncP::FileIO), which can be replaced by any module of your
own design. This allows rsync interfaces to non-filesystem data types
(eg: databases) to be developed with relative ease.

File::RsyncP does not yet provide a command-line interface that mimics
native rsync. Instead it provides an API that makes it possible to
write simple scripts that talk to rsync or rsyncd.

%description -l pl.UTF-8
File::RsyncP jest implementacją klienta rsync w Perlu. Umożliwia
wysyłanie i pobieranie plików, zarówno przez uruchomionego zdalnie
klienta rsync jak i przez połączenie z demonem rsyncd na zdalnej
maszynie.

Wszystkie operacje wejścia/wyjścia na systemie plików zostały
wyodrębnione do oddzielnego modułu (File::RsyncP::FileIO), który może
być zastąpiony przez inny moduł własnego projektu. Umożliwia to w
miarę proste tworzenie interfejsów do rsynca, które nie operują na
systemie plików a np. na bazach danych.

File::RsyncP nie udostępnia jeszcze interaktywnego interfejsu
naśladującego linię poleceń programu rsync. W zamian udostępnia API,
umożliwiające pisanie prostych skryptów do komunikacji z rsync
i rsyncd.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} -j1

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/File/RsyncP.pm
%dir %{perl_vendorarch}/File/RsyncP
%{perl_vendorarch}/File/RsyncP/*.pm
%dir %{perl_vendorarch}/auto/File/RsyncP
%dir %{perl_vendorarch}/auto/File/RsyncP/Digest
%dir %{perl_vendorarch}/auto/File/RsyncP/FileList
%{perl_vendorarch}/auto/File/RsyncP/*/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/File/RsyncP/*/*.so
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-File-RsyncP.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> b5a66d5
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> d742990
- BR: perl-Encode

* Wed Oct 13 2010 Artur Frysiak <artur@frysiak.net> 28ece8c
- working URL for Source0

* Sat Aug 14 2010 areq <areq@pld-linux.org> a94fb65
- 0.70

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3d82c65
- release 4

* Wed Apr 02 2008 areq <areq@pld-linux.org> f6a76d0
- rel 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e734e9f
- rel 2

* Sun Nov 25 2007 areq <areq@pld-linux.org> 1c2af5f
- Rel 1

* Wed Apr 11 2007 Jakub Bogusz <qboosh@pld-linux.org> 49d49f6
- generic URL

* Wed Apr 11 2007 areq <areq@pld-linux.org> 5381ed0
- 0.68

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 93e3e00
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8585159
- converted to UTF-8

* Wed Aug 09 2006 Maciej Pijanka <agaran@pld-linux.org> c2f024d
- up to 0.62, rel 0.1, builds here

* Mon May 29 2006 blaass <blaass@pld-linux.org> 2fad1c2
- spelling fixed, deamon->daemon

* Sun May 01 2005 Jakub Bogusz <qboosh@pld-linux.org> a712cc5
- grepable file list

* Sun May 01 2005 ankry <ankry@pld-linux.org> f1629fc
- reverted: removed bogus and unnecessary files

* Sun May 01 2005 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> dc150a9
- add lost files
- up release to 2
- STBR

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 1f48f9b
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 77f3977
- massive: unfold macros in name/summary & other unifications

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> 1b943a4
- updated to 0.52

